<mat-form-field>
  <mat-label>
    {{this.label}}
  </mat-label>
  <mat-chip-list #chipList
    [selectable]="false">
    <mat-chip
      *ngFor="let value of chosenValues"
      [selectable]="false"
      [removable]="true"
      (removed)="removeValue(value)">
      {{value}}
      <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
    </mat-chip>
    <input
      #valueInput
      [formControl]="valueControl"
      [matAutocomplete]="auto"
      [matChipInputFor]="chipList"
      [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
      (matChipInputTokenEnd)="addValue($event)">
  </mat-chip-list>

  <mat-autocomplete #auto="matAutocomplete" (optionSelected)="valueSelectedFromAutoComplete($event)">
    <mat-option *ngFor="let value of autocompleteValues | async">
      {{value}}
    </mat-option>
  </mat-autocomplete>
</mat-form-field>
<div class="simulated-mat-error" *ngIf="required && chosenValues.length === 0">Linie są wymagane.</div>


